# Enum Class RadiusData.EnumType

java.lang.Object
java.lang.Enum<RadiusData.EnumType>
org.jmol.atomdata.RadiusData.EnumType

All Implemented Interfaces:
  `Serializable, Comparable<RadiusData.EnumType>, Constable`

Enclosing class:
  `RadiusData`

public static enum RadiusData.EnumType extends Enum<RadiusData.EnumType>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABSOLUTE`
`FACTOR`
`OFFSET`
`SCREEN`

## Method Summary

Modifier and Type
Method
Description
`static RadiusData.EnumType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RadiusData.EnumType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ABSOLUTE

public static final RadiusData.EnumType ABSOLUTE

### OFFSET

public static final RadiusData.EnumType OFFSET

### FACTOR

public static final RadiusData.EnumType FACTOR

### SCREEN

public static final RadiusData.EnumType SCREEN

## Method Details

### values

public static RadiusData.EnumType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RadiusData.EnumType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null